#ifndef _FASTEC_PCI_CMD_H
#define _FASTEC_PCI_CMD_H

#define FASTEC_PCI_DRIVER_VERSION "0.01"

#define FASTEC_PCI_DID 0x0000
#define FASTEC_PCI_VID 0x1172

#define FASTEC_PCI_START_DMA            1
#define FASTEC_PCI_ENA_DIS_READ         2
#define FASTEC_PCI_ENA_DIS_WRITE        3
#define FASTEC_PCI_ENA_DIS_SIMUL        4
#define FASTEC_PCI_MODIFY_NUM_DWORDS    5
#define FASTEC_PCI_MODIFY_NUM_DESC      6
#define FASTEC_PCI_ONCHIP_OFFCHIP	7
#define FASTEC_LOOP                     8
#define FASTEC_PCI_READ_STATUS          9
#define FASTEC_EXIT                     10
#define FASTEC_PCI_WAIT_DMA             11
#define FASTEC_PCI_ALLOC_RP_BUFFER      12
#define FASTEC_PCI_RAND			13

#include <linux/ioctl.h>

#define FASTEC_IOC_MAGIC   0x66
#define FASTEC_IOCX_WAIT             _IO(FASTEC_IOC_MAGIC, FASTEC_PCI_WAIT_DMA)
#define FASTEC_IOCX_START            _IO(FASTEC_IOC_MAGIC, FASTEC_PCI_START_DMA)
#define FASTEC_IOCX_ALLOC_RP_BUFFER  _IO(FASTEC_IOC_MAGIC, FASTEC_PCI_ALLOC_RP_BUFFER)

#ifndef __KERNEL__

#include <sys/ioctl.h>

#endif
#endif /* _FASTEC_PCI_CMD_H */
