#include <linux/module.h>   	/* Needed by all modules */
#include <linux/kernel.h>	/* We're doing kernel development. */
#include <linux/init.h>		/* Needed for the macros */

#include "fi_pci_cmd.h"
#include "fi_pci_dev.h"		/* Our driver specific includes */

int fi_bar_select = 2;
module_param_named(bar_select, fi_bar_select, int, S_IRUGO | S_IWUSR );
MODULE_PARM_DESC(bar_select, "BAR to use for I/O");

static struct pci_device_id fi_pci_ids[] =
{
    { PCI_DEVICE(FASTEC_PCI_VID, FASTEC_PCI_DID) },
    { 0 }
};

static struct pci_driver fi_pci_driver_ops =
{
    .name = MODULE_NAME,
    .id_table = fi_pci_ids,
    .probe = fastec_pci_probe,
    .remove = fastec_pci_remove,
};

static int __init fi_pci_mod_init(void)
{
    int rc = 0;

    printk(KERN_INFO FASTEC_PCI_DRIVER_NAME ": Welcome!");

    rc = pci_register_driver(&fi_pci_driver_ops);
    if (rc)
	printk(KERN_ERR FASTEC_PCI_DRIVER_NAME ": PCI driver registration failed");

    return rc;
}

static void __exit fi_pci_mod_exit(void)
{
    pci_unregister_driver(&fi_pci_driver_ops);
    printk(KERN_DEBUG FASTEC_PCI_DRIVER_NAME ": exiting...");
}

module_init(fi_pci_mod_init);
module_exit(fi_pci_mod_exit);

MODULE_AUTHOR("Fastec Imaging, Inc.");          /* Who wrote this. */
MODULE_DESCRIPTION("Fastec PCI Driver");  	/* Helpful info   */
MODULE_DEVICE_TABLE(pci, fi_pci_ids);
MODULE_VERSION(FASTEC_PCI_DRIVER_VERSION);
MODULE_LICENSE("GPL");        			/* Try to get rid of the taint message. */

